package com.ruoyi.clock.enums;

import com.ruoyi.common.enums.IIntegerEnum;

import java.util.Objects;

/**
 * @author 活动状态
 */
public enum ActivityStatusEnum implements IIntegerEnum<Integer> {

    PROGRESS(0, "进行中"),
    END(1, "结束"),
    ;

    private Integer code;
    private String msg;

    ActivityStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static ActivityStatusEnum getByCode(int code, ActivityStatusEnum[] values) {
        for (ActivityStatusEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
